Package weka.core.pmml.jaxbbindings

# Class Constraints

java.lang.Object
weka.core.pmml.jaxbbindings.Constraints

public class Constraints extends Object

Java class for Constraints element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Constraints">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="maximumAntConsSeparationTime" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="maximumItemsetSeparationTime" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="maximumNumberOfAntecedentItems" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="maximumNumberOfConsequentItems" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="maximumNumberOfItems" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="maximumTotalSequenceTime" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="minimumAntConsSeparationTime" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="0" />
             <attribute name="minimumConfidence" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="0" />
             <attribute name="minimumItemsetSeparationTime" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="0" />
             <attribute name="minimumLift" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="0" />
             <attribute name="minimumNumberOfAntecedentItems" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" default="1" />
             <attribute name="minimumNumberOfConsequentItems" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" default="1" />
             <attribute name="minimumNumberOfItems" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" default="1" />
             <attribute name="minimumSupport" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="0" />
             <attribute name="minimumTotalSequenceTime" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="0" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constraints()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `Double`
  `getMaximumAntConsSeparationTime()`
  Gets the value of the maximumAntConsSeparationTime property.
  `Double`
  `getMaximumItemsetSeparationTime()`
  Gets the value of the maximumItemsetSeparationTime property.
  `BigInteger`
  `getMaximumNumberOfAntecedentItems()`
  Gets the value of the maximumNumberOfAntecedentItems property.
  `BigInteger`
  `getMaximumNumberOfConsequentItems()`
  Gets the value of the maximumNumberOfConsequentItems property.
  `BigInteger`
  `getMaximumNumberOfItems()`
  Gets the value of the maximumNumberOfItems property.
  `Double`
  `getMaximumTotalSequenceTime()`
  Gets the value of the maximumTotalSequenceTime property.
  `double`
  `getMinimumAntConsSeparationTime()`
  Gets the value of the minimumAntConsSeparationTime property.
  `double`
  `getMinimumConfidence()`
  Gets the value of the minimumConfidence property.
  `double`
  `getMinimumItemsetSeparationTime()`
  Gets the value of the minimumItemsetSeparationTime property.
  `double`
  `getMinimumLift()`
  Gets the value of the minimumLift property.
  `BigInteger`
  `getMinimumNumberOfAntecedentItems()`
  Gets the value of the minimumNumberOfAntecedentItems property.
  `BigInteger`
  `getMinimumNumberOfConsequentItems()`
  Gets the value of the minimumNumberOfConsequentItems property.
  `BigInteger`
  `getMinimumNumberOfItems()`
  Gets the value of the minimumNumberOfItems property.
  `double`
  `getMinimumSupport()`
  Gets the value of the minimumSupport property.
  `double`
  `getMinimumTotalSequenceTime()`
  Gets the value of the minimumTotalSequenceTime property.
  `void`
  `setMaximumAntConsSeparationTime(Double value)`
  Sets the value of the maximumAntConsSeparationTime property.
  `void`
  `setMaximumItemsetSeparationTime(Double value)`
  Sets the value of the maximumItemsetSeparationTime property.
  `void`
  `setMaximumNumberOfAntecedentItems(BigInteger value)`
  Sets the value of the maximumNumberOfAntecedentItems property.
  `void`
  `setMaximumNumberOfConsequentItems(BigInteger value)`
  Sets the value of the maximumNumberOfConsequentItems property.
  `void`
  `setMaximumNumberOfItems(BigInteger value)`
  Sets the value of the maximumNumberOfItems property.
  `void`
  `setMaximumTotalSequenceTime(Double value)`
  Sets the value of the maximumTotalSequenceTime property.
  `void`
  `setMinimumAntConsSeparationTime(Double value)`
  Sets the value of the minimumAntConsSeparationTime property.
  `void`
  `setMinimumConfidence(Double value)`
  Sets the value of the minimumConfidence property.
  `void`
  `setMinimumItemsetSeparationTime(Double value)`
  Sets the value of the minimumItemsetSeparationTime property.
  `void`
  `setMinimumLift(Double value)`
  Sets the value of the minimumLift property.
  `void`
  `setMinimumNumberOfAntecedentItems(BigInteger value)`
  Sets the value of the minimumNumberOfAntecedentItems property.
  `void`
  `setMinimumNumberOfConsequentItems(BigInteger value)`
  Sets the value of the minimumNumberOfConsequentItems property.
  `void`
  `setMinimumNumberOfItems(BigInteger value)`
  Sets the value of the minimumNumberOfItems property.
  `void`
  `setMinimumSupport(Double value)`
  Sets the value of the minimumSupport property.
  `void`
  `setMinimumTotalSequenceTime(Double value)`
  Sets the value of the minimumTotalSequenceTime property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Constraints

    public Constraints()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getMaximumAntConsSeparationTime

    public Double getMaximumAntConsSeparationTime()
    Gets the value of the maximumAntConsSeparationTime property.
    Returns:
      possible object is `Double`

  - ### setMaximumAntConsSeparationTime

    public void setMaximumAntConsSeparationTime(Double value)
    Sets the value of the maximumAntConsSeparationTime property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMaximumItemsetSeparationTime

    public Double getMaximumItemsetSeparationTime()
    Gets the value of the maximumItemsetSeparationTime property.
    Returns:
      possible object is `Double`

  - ### setMaximumItemsetSeparationTime

    public void setMaximumItemsetSeparationTime(Double value)
    Sets the value of the maximumItemsetSeparationTime property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMaximumNumberOfAntecedentItems

    public BigInteger getMaximumNumberOfAntecedentItems()
    Gets the value of the maximumNumberOfAntecedentItems property.
    Returns:
      possible object is `BigInteger`

  - ### setMaximumNumberOfAntecedentItems

    public void setMaximumNumberOfAntecedentItems(BigInteger value)
    Sets the value of the maximumNumberOfAntecedentItems property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getMaximumNumberOfConsequentItems

    public BigInteger getMaximumNumberOfConsequentItems()
    Gets the value of the maximumNumberOfConsequentItems property.
    Returns:
      possible object is `BigInteger`

  - ### setMaximumNumberOfConsequentItems

    public void setMaximumNumberOfConsequentItems(BigInteger value)
    Sets the value of the maximumNumberOfConsequentItems property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getMaximumNumberOfItems

    public BigInteger getMaximumNumberOfItems()
    Gets the value of the maximumNumberOfItems property.
    Returns:
      possible object is `BigInteger`

  - ### setMaximumNumberOfItems

    public void setMaximumNumberOfItems(BigInteger value)
    Sets the value of the maximumNumberOfItems property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getMaximumTotalSequenceTime

    public Double getMaximumTotalSequenceTime()
    Gets the value of the maximumTotalSequenceTime property.
    Returns:
      possible object is `Double`

  - ### setMaximumTotalSequenceTime

    public void setMaximumTotalSequenceTime(Double value)
    Sets the value of the maximumTotalSequenceTime property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMinimumAntConsSeparationTime

    public double getMinimumAntConsSeparationTime()
    Gets the value of the minimumAntConsSeparationTime property.
    Returns:
      possible object is `Double`

  - ### setMinimumAntConsSeparationTime

    public void setMinimumAntConsSeparationTime(Double value)
    Sets the value of the minimumAntConsSeparationTime property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMinimumConfidence

    public double getMinimumConfidence()
    Gets the value of the minimumConfidence property.
    Returns:
      possible object is `Double`

  - ### setMinimumConfidence

    public void setMinimumConfidence(Double value)
    Sets the value of the minimumConfidence property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMinimumItemsetSeparationTime

    public double getMinimumItemsetSeparationTime()
    Gets the value of the minimumItemsetSeparationTime property.
    Returns:
      possible object is `Double`

  - ### setMinimumItemsetSeparationTime

    public void setMinimumItemsetSeparationTime(Double value)
    Sets the value of the minimumItemsetSeparationTime property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMinimumLift

    public double getMinimumLift()
    Gets the value of the minimumLift property.
    Returns:
      possible object is `Double`

  - ### setMinimumLift

    public void setMinimumLift(Double value)
    Sets the value of the minimumLift property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMinimumNumberOfAntecedentItems

    public BigInteger getMinimumNumberOfAntecedentItems()
    Gets the value of the minimumNumberOfAntecedentItems property.
    Returns:
      possible object is `BigInteger`

  - ### setMinimumNumberOfAntecedentItems

    public void setMinimumNumberOfAntecedentItems(BigInteger value)
    Sets the value of the minimumNumberOfAntecedentItems property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getMinimumNumberOfConsequentItems

    public BigInteger getMinimumNumberOfConsequentItems()
    Gets the value of the minimumNumberOfConsequentItems property.
    Returns:
      possible object is `BigInteger`

  - ### setMinimumNumberOfConsequentItems

    public void setMinimumNumberOfConsequentItems(BigInteger value)
    Sets the value of the minimumNumberOfConsequentItems property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getMinimumNumberOfItems

    public BigInteger getMinimumNumberOfItems()
    Gets the value of the minimumNumberOfItems property.
    Returns:
      possible object is `BigInteger`

  - ### setMinimumNumberOfItems

    public void setMinimumNumberOfItems(BigInteger value)
    Sets the value of the minimumNumberOfItems property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getMinimumSupport

    public double getMinimumSupport()
    Gets the value of the minimumSupport property.
    Returns:
      possible object is `Double`

  - ### setMinimumSupport

    public void setMinimumSupport(Double value)
    Sets the value of the minimumSupport property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMinimumTotalSequenceTime

    public double getMinimumTotalSequenceTime()
    Gets the value of the minimumTotalSequenceTime property.
    Returns:
      possible object is `Double`

  - ### setMinimumTotalSequenceTime

    public void setMinimumTotalSequenceTime(Double value)
    Sets the value of the minimumTotalSequenceTime property.
    Parameters:
      `value` - allowed object is `Double`